Skip to main content
GET
/
v1
/
households
/
{household_id}
/
notes
List notes
curl --request GET \
  --url https://api.slant.app/v1/households/{household_id}/notes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "content": "<string>",
      "pinned": true,
      "source": "slant",
      "book_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "household_id": "<string>",
      "created_by_id": "<string>"
    }
  ],
  "pagination": {
    "current_page": 1,
    "total_pages": 10,
    "total_count": 100,
    "per_page": 25
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Path Parameters

household_id
string
required

The household ID

Query Parameters

page
integer

Page number

per_page
integer

Items per page (1-100, default: 25). Values over 100 will be clamped to 100.

Required range: 1 <= x <= 100
hidden
boolean

Filter by hidden status

pinned
boolean

Filter by pinned status

Response

successful

data
object[]
required
pagination
object
required